diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/comment-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php	2013-08-28 00:28:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/comment-template.php	2013-09-23 18:29:11.000000000 -0500
***************
*** 583,629 ****
  	else // must be one
  		$output = ( false === $one ) ? __('1 Comment') : $one;
  
! 	echo apply_filters('comments_number', $output, $number);
  }
  
  /**
   * Retrieve the text of the current comment.
   *
   * @since 1.5.0
-  * @uses $comment
   *
!  * @param int $comment_ID The ID of the comment for which to get the text. Optional.
!  * @return string The comment content
   */
! function get_comment_text( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 	return apply_filters( 'get_comment_text', $comment->comment_content, $comment );
  }
  
  /**
!  * Displays the text of the current comment.
   *
   * @since 0.71
-  * @uses apply_filters() Passes the comment content through the 'comment_text' hook before display
-  * @uses get_comment_text() Gets the comment content
   *
!  * @param int $comment_ID The ID of the comment for which to print the text. Optional.
   */
! function comment_text( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 	echo apply_filters( 'comment_text', get_comment_text( $comment_ID ), $comment );
  }
  
  /**
   * Retrieve the comment time of the current comment.
   *
   * @since 1.5.0
-  * @uses $comment
-  * @uses apply_filter() Calls 'get_comment_time' hook with the formatted time, the $d parameter, and $gmt parameter passed.
   *
!  * @param string $d Optional. The format of the time (defaults to user's config)
!  * @param bool $gmt Whether to use the GMT date
!  * @param bool $translate Whether to translate the time (for use in feeds)
   * @return string The formatted time
   */
  function get_comment_time( $d = '', $gmt = false, $translate = true ) {
--- 691,765 ----
  	else // must be one
  		$output = ( false === $one ) ? __('1 Comment') : $one;
  
! 	/**
! 	 * Filter the comments count for display.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $output A translatable string formatted based on whether the count is equal to 0, 1, or 1+. @see _n()
! 	 * @param int    $number The number of post comments.
! 	 */
! 	echo apply_filters( 'comments_number', $output, $number );
  }
  
  /**
   * Retrieve the text of the current comment.
   *
   * @since 1.5.0
   *
!  * @param int   $comment_ID Optional. The ID of the comment for which to get the text. Default current comment.
!  * @param array $args       Optional. An array of arguments. @see Walker_Comment::comment()
!  * @return string The comment content.
   */
! function get_comment_text( $comment_ID = 0, $args = array() ) {
  	$comment = get_comment( $comment_ID );
! 
! 	/**
! 	 * Filter the text of a comment.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $comment->comment_content The text of the comment.
! 	 * @param object $comment                  The comment object.
! 	 * @param array  $args                     An array of arguments. @see Walker_Comment::comment()
! 	 */
! 	return apply_filters( 'get_comment_text', $comment->comment_content, $comment, $args );
  }
  
  /**
!  * Display the text of the current comment.
   *
   * @since 0.71
   *
!  * @param int   $comment_ID Optional. The ID of the comment for which to print the text.
!  *                          Default 0.
!  * @param array $args       Optional. An array of arguments. @see Walker_Comment::comment()
!  *                          Default empty array.
   */
! function comment_text( $comment_ID = 0, $args = array() ) {
  	$comment = get_comment( $comment_ID );
! 
! 	$comment_text = get_comment_text( $comment_ID , $args );
! 	/**
! 	 * Filter the text of a comment to be displayed.
! 	 *
! 	 * @since 1.2.1
! 	 *
! 	 * @param string $comment_text The text of the current comment.
! 	 * @param object $comment      The comment object.
! 	 * @param array  $args         An array of arguments. @see Walker_Comment::comment()
! 	 */
! 	echo apply_filters( 'comment_text', $comment_text, $comment, $args );
  }
  
  /**
   * Retrieve the comment time of the current comment.
   *
   * @since 1.5.0
   *
!  * @param string $d         Optional. The format of the time. Default user's settings.
!  * @param bool   $gmt       Optional. Whether to use the GMT date. Default false.
!  * @param bool   $translate Optional. Whether to translate the time (for use in feeds). Default true.
   * @return string The formatted time
   */
  function get_comment_time( $d = '', $gmt = false, $translate = true ) {
***************
*** 633,639 ****
  		$date = mysql2date(get_option('time_format'), $comment_date, $translate);
  	else
  		$date = mysql2date($d, $comment_date, $translate);
! 	return apply_filters('get_comment_time', $date, $d, $gmt, $translate);
  }
  
  /**
--- 769,786 ----
  		$date = mysql2date(get_option('time_format'), $comment_date, $translate);
  	else
  		$date = mysql2date($d, $comment_date, $translate);
! 
! 	/**
! 	 * Filter the returned comment time.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string|int $date      The comment time, formatted as a date string or Unix timestamp.
! 	 * @param string     $d         The date format.
! 	 * @param bool       $gmt       Whether the GMT date is in use.
! 	 * @param bool       $translate Whether the time is translated.
! 	 */
! 	return apply_filters( 'get_comment_time', $date, $d, $gmt, $translate );
  }
  
  /**
***************
*** 641,647 ****
   *
   * @since 0.71
   *
!  * @param string $d Optional. The format of the time (defaults to user's config)
   */
  function comment_time( $d = '' ) {
  	echo get_comment_time($d);
--- 788,794 ----
   *
   * @since 0.71
   *
!  * @param string $d Optional. The format of the time. Default user's settings.
   */
  function comment_time( $d = '' ) {
  	echo get_comment_time($d);
***************
*** 651,660 ****
   * Retrieve the comment type of the current comment.
   *
   * @since 1.5.0
-  * @uses $comment
-  * @uses apply_filters() Calls the 'get_comment_type' hook on the comment type
   *
!  * @param int $comment_ID The ID of the comment for which to get the type. Optional.
   * @return string The comment type
   */
  function get_comment_type( $comment_ID = 0 ) {
--- 798,805 ----
   * Retrieve the comment type of the current comment.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to get the type. Default current comment.
   * @return string The comment type
   */
  function get_comment_type( $comment_ID = 0 ) {
***************
*** 662,668 ****
  	if ( '' == $comment->comment_type )
  		$comment->comment_type = 'comment';
  
! 	return apply_filters('get_comment_type', $comment->comment_type);
  }
  
  /**
--- 807,820 ----
  	if ( '' == $comment->comment_type )
  		$comment->comment_type = 'comment';
  
! 	/**
! 	 * Filter the returned comment type.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $comment->comment_type The type of comment, such as 'comment', 'pingback', or 'trackback'.
! 	 */
! 	return apply_filters( 'get_comment_type', $comment->comment_type );
  }
  
  /**
***************
*** 670,680 ****
   *
   * @since 0.71
   *
!  * @param string $commenttxt The string to display for comment type
!  * @param string $trackbacktxt The string to display for trackback type
!  * @param string $pingbacktxt The string to display for pingback type
   */
! function comment_type($commenttxt = false, $trackbacktxt = false, $pingbacktxt = false) {
  	if ( false === $commenttxt ) $commenttxt = _x( 'Comment', 'noun' );
  	if ( false === $trackbacktxt ) $trackbacktxt = __( 'Trackback' );
  	if ( false === $pingbacktxt ) $pingbacktxt = __( 'Pingback' );
--- 822,832 ----
   *
   * @since 0.71
   *
!  * @param string $commenttxt   Optional. The string to display for comment type. Default false.
!  * @param string $trackbacktxt Optional. The string to display for trackback type. Default false.
!  * @param string $pingbacktxt  Optional. The string to display for pingback type. Default false.
   */
! function comment_type( $commenttxt = false, $trackbacktxt = false, $pingbacktxt = false ) {
  	if ( false === $commenttxt ) $commenttxt = _x( 'Comment', 'noun' );
  	if ( false === $trackbacktxt ) $trackbacktxt = __( 'Trackback' );
  	if ( false === $pingbacktxt ) $pingbacktxt = __( 'Pingback' );
***************
*** 699,724 ****
   * current post is used and appended to the correct page to go to.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls 'trackback_url' on the resulting trackback URL
   *
!  * @return string The trackback URL after being filtered
   */
  function get_trackback_url() {
! 	if ( '' != get_option('permalink_structure') ) {
  		$tb_url = trailingslashit(get_permalink()) . user_trailingslashit('trackback', 'single_trackback');
! 	} else {
  		$tb_url = get_option('siteurl') . '/wp-trackback.php?p=' . get_the_ID();
! 	}
! 	return apply_filters('trackback_url', $tb_url);
  }
  
  /**
!  * Displays the current post's trackback URL.
   *
   * @since 0.71
-  * @uses get_trackback_url() Gets the trackback url for the current post
   *
!  * @param bool $deprecated_echo Remove backwards compat in 2.5
   * @return void|string Should only be used to echo the trackback URL, use get_trackback_url() for the result instead.
   */
  function trackback_url( $deprecated_echo = true ) {
--- 851,881 ----
   * current post is used and appended to the correct page to go to.
   *
   * @since 1.5.0
   *
!  * @return string The trackback URL after being filtered.
   */
  function get_trackback_url() {
! 	if ( '' != get_option('permalink_structure') )
  		$tb_url = trailingslashit(get_permalink()) . user_trailingslashit('trackback', 'single_trackback');
! 	else
  		$tb_url = get_option('siteurl') . '/wp-trackback.php?p=' . get_the_ID();
! 
! 	/**
! 	 * Filter the returned trackback URL.
! 	 *
! 	 * @since 2.2.0
! 	 *
! 	 * @param string $tb_url The trackback URL.
! 	 */
! 	return apply_filters( 'trackback_url', $tb_url );
  }
  
  /**
!  * Display the current post's trackback URL.
   *
   * @since 0.71
   *
!  * @param bool $deprecated_echo Not used.
   * @return void|string Should only be used to echo the trackback URL, use get_trackback_url() for the result instead.
   */
  function trackback_url( $deprecated_echo = true ) {
***************
*** 731,743 ****
  }
  
  /**
!  * Generates and displays the RDF for the trackback information of current post.
   *
   * Deprecated in 3.0.0, and restored in 3.0.1.
   *
   * @since 0.71
   *
!  * @param int $deprecated Not used (Was $timezone = 0)
   */
  function trackback_rdf( $deprecated = '' ) {
  	if ( !empty( $deprecated ) )
--- 888,900 ----
  }
  
  /**
!  * Generate and display the RDF for the trackback information of current post.
   *
   * Deprecated in 3.0.0, and restored in 3.0.1.
   *
   * @since 0.71
   *
!  * @param int $deprecated Not used (Was $timezone = 0).
   */
  function trackback_rdf( $deprecated = '' ) {
  	if ( !empty( $deprecated ) )
***************
*** 764,779 ****
   * Whether the current post is open for comments.
   *
   * @since 1.5.0
-  * @uses $post
   *
!  * @param int $post_id An optional post ID to check instead of the current post.
!  * @return bool True if the comments are open
   */
  function comments_open( $post_id = null ) {
  
  	$_post = get_post($post_id);
  
  	$open = ( 'open' == $_post->comment_status );
  	return apply_filters( 'comments_open', $open, $post_id );
  }
  
--- 921,944 ----
   * Whether the current post is open for comments.
   *
   * @since 1.5.0
   *
!  * @param int|WP_Post $post_id Optional. Post ID or WP_Post object. Default current post.
!  * @return bool True if the comments are open.
   */
  function comments_open( $post_id = null ) {
  
  	$_post = get_post($post_id);
  
  	$open = ( 'open' == $_post->comment_status );
+ 
+ 	/**
+ 	 * Filter whether the current post is open for comments.
+ 	 *
+ 	 * @since
+ 	 *
+ 	 * @param bool        $open    Whether the current post is open for comments.
+ 	 * @param int|WP_Post $post_id The post ID or WP_Post object.
+ 	 */
  	return apply_filters( 'comments_open', $open, $post_id );
  }
  
***************
*** 781,789 ****
   * Whether the current post is open for pings.
   *
   * @since 1.5.0
-  * @uses $post
   *
!  * @param int $post_id An optional post ID to check instead of the current post.
   * @return bool True if pings are accepted
   */
  function pings_open( $post_id = null ) {
--- 946,953 ----
   * Whether the current post is open for pings.
   *
   * @since 1.5.0
   *
!  * @param int|WP_Post $post_id Optional. Post ID or WP_Post object. Default current post.
   * @return bool True if pings are accepted
   */
  function pings_open( $post_id = null ) {
***************
*** 795,801 ****
  }
  
  /**
!  * Displays form token for unfiltered comments.
   *
   * Will only display nonce token if the current user has permissions for
   * unfiltered html. Won't display the token for other users.
--- 959,965 ----
  }
  
  /**
!  * Display form token for unfiltered comments.
   *
   * Will only display nonce token if the current user has permissions for
   * unfiltered html. Won't display the token for other users.
***************
*** 807,813 ****
   * Backported to 2.0.10.
   *
   * @since 2.1.3
-  * @uses $post Gets the ID of the current post for the token
   */
  function wp_comment_form_unfiltered_html_nonce() {
  	$post = get_post();
--- 971,976 ----
***************
*** 820,826 ****
  }
  
  /**
!  * Loads the comment template specified in $file.
   *
   * Will not display the comments template if not on single post or page, or if
   * the post does not have comments.
--- 983,989 ----
  }
  
  /**
!  * Load the comment template specified in $file.
   *
   * Will not display the comments template if not on single post or page, or if
   * the post does not have comments.
***************
*** 835,849 ****
   * default theme. If either does not exist, then the WordPress process will be
   * halted. It is advised for that reason, that the default theme is not deleted.
   *
!  * @since 1.5.0
!  * @global array $comment List of comment objects for the current post
!  * @uses $wpdb
!  * @uses $post
   * @uses $withcomments Will not try to get the comments if the post has none.
   *
!  * @param string $file Optional, default '/comments.php'. The file to load
!  * @param bool $separate_comments Optional, whether to separate the comments by comment type. Default is false.
!  * @return null Returns null if no comments appear
   */
  function comments_template( $file = '/comments.php', $separate_comments = false ) {
  	global $wp_query, $withcomments, $post, $wpdb, $id, $comment, $user_login, $user_ID, $user_identity, $overridden_cpage;
--- 998,1011 ----
   * default theme. If either does not exist, then the WordPress process will be
   * halted. It is advised for that reason, that the default theme is not deleted.
   *
!  * @todo Document globals
   * @uses $withcomments Will not try to get the comments if the post has none.
   *
!  * @since 1.5.0
!  *
!  * @param string $file              Optional. The file to load. Default '/comments.php'.
!  * @param bool   $separate_comments Optional. Whether to separate the comments by comment type. Default false.
!  * @return null Returns null if no comments appear.
   */
  function comments_template( $file = '/comments.php', $separate_comments = false ) {
  	global $wp_query, $withcomments, $post, $wpdb, $id, $comment, $user_login, $user_ID, $user_identity, $overridden_cpage;
***************
*** 888,893 ****
--- 1050,1063 ----
  	}
  
  	// keep $comments for legacy's sake
+ 	/**
+ 	 * Filter the comments array.
+ 	 *
+ 	 * @since 2.1.0
+ 	 *
+ 	 * @param array $comments The array of comments supplied to the comments template.
+ 	 * @param int   $post->ID The post ID.
+ 	 */
  	$wp_query->comments = apply_filters( 'comments_array', $comments, $post->ID );
  	$comments = &$wp_query->comments;
  	$wp_query->comment_count = count($wp_query->comments);
***************
*** 907,913 ****
  	if ( !defined('COMMENTS_TEMPLATE') )
  		define('COMMENTS_TEMPLATE', true);
  
! 	$include = apply_filters('comments_template', STYLESHEETPATH . $file );
  	if ( file_exists( $include ) )
  		require( $include );
  	elseif ( file_exists( TEMPLATEPATH . $file ) )
--- 1077,1091 ----
  	if ( !defined('COMMENTS_TEMPLATE') )
  		define('COMMENTS_TEMPLATE', true);
  
! 	$theme_template = STYLESHEETPATH . $file;
! 	/**
! 	 * Filter the path to the theme template file used for the comments template.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $theme_template The path to the theme template file.
! 	 */
! 	$include = apply_filters( 'comments_template', $theme_template );
  	if ( file_exists( $include ) )
  		require( $include );
  	elseif ( file_exists( TEMPLATEPATH . $file ) )
***************
*** 917,923 ****
  }
  
  /**
!  * Displays the JS popup script to show a comment.
   *
   * If the $file parameter is empty, then the home page is assumed. The defaults
   * for the window are 400px by 400px.
--- 1095,1101 ----
  }
  
  /**
!  * Display the JS popup script to show a comment.
   *
   * If the $file parameter is empty, then the home page is assumed. The defaults
   * for the window are 400px by 400px.
***************
*** 925,939 ****
   * For the comment link popup to work, this function has to be called or the
   * normal comment link will be assumed.
   *
   * @since 0.71
-  * @global string $wpcommentspopupfile The URL to use for the popup window
-  * @global int $wpcommentsjavascript Whether to use JavaScript. Set when function is called
   *
!  * @param int $width Optional. The width of the popup window
!  * @param int $height Optional. The height of the popup window
!  * @param string $file Optional. Sets the location of the popup window
   */
! function comments_popup_script($width=400, $height=400, $file='') {
  	global $wpcommentspopupfile, $wpcommentsjavascript;
  
  	if (empty ($file)) {
--- 1103,1118 ----
   * For the comment link popup to work, this function has to be called or the
   * normal comment link will be assumed.
   *
+  * @global string $wpcommentspopupfile  The URL to use for the popup window.
+  * @global int    $wpcommentsjavascript Whether to use JavaScript. Set when function is called.
+  *
   * @since 0.71
   *
!  * @param int $width  Optional. The width of the popup window. Default 400.
!  * @param int $height Optional. The height of the popup window. Default 400.
!  * @param string $file Optional. Sets the location of the popup window.
   */
! function comments_popup_script( $width = 400, $height = 400, $file = '' ) {
  	global $wpcommentspopupfile, $wpcommentsjavascript;
  
  	if (empty ($file)) {
***************
*** 953,968 ****
   * Is not meant to be displayed on single posts and pages. Should be used on the
   * lists of posts
   *
   * @since 0.71
!  * @uses $wpcommentspopupfile
!  * @uses $wpcommentsjavascript
!  * @uses $post
!  *
!  * @param string $zero The string to display when no comments
!  * @param string $one The string to display when only one comment is available
!  * @param string $more The string to display when there are more than one comment
!  * @param string $css_class The CSS class to use for comments
!  * @param string $none The string to display when comments have been turned off
   * @return null Returns null on single posts and pages.
   */
  function comments_popup_link( $zero = false, $one = false, $more = false, $css_class = '', $none = false ) {
--- 1132,1147 ----
   * Is not meant to be displayed on single posts and pages. Should be used on the
   * lists of posts
   *
+  * @global string $wpcommentspopupfile  The URL to use for the popup window.
+  * @global int    $wpcommentsjavascript Whether to use JavaScript. Set when function is called.
+  *
   * @since 0.71
!  *
!  * @param string $zero      Optional. The string to display when no comments. Default false.
!  * @param string $one       Optional. The string to display when only one comment is available. Default false.
!  * @param string $more      Optional. The string to display when there are more than one comment. Default false.
!  * @param string $css_class Optional. The CSS class to use for comments. Default empty.
!  * @param string $none      Optional. The string to display when comments have been turned off. Default false.
   * @return null Returns null on single posts and pages.
   */
  function comments_popup_link( $zero = false, $one = false, $more = false, $css_class = '', $none = false ) {
***************
*** 1008,1014 ****
  	}
  	$title = the_title_attribute( array('echo' => 0 ) );
  
! 	echo apply_filters( 'comments_popup_link_attributes', '' );
  
  	echo ' title="' . esc_attr( sprintf( __('Comment on %s'), $title ) ) . '">';
  	comments_number( $zero, $one, $more );
--- 1187,1201 ----
  	}
  	$title = the_title_attribute( array('echo' => 0 ) );
  
! 	$attributes = '';
! 	/**
! 	 * Filter the comments popup link attributes for display.
! 	 *
! 	 * @since 2.5.0
! 	 *
! 	 * @param string $attributes The comments popup link attributes. Default empty.
! 	 */
! 	echo apply_filters( 'comments_popup_link_attributes', $attributes );
  
  	echo ' title="' . esc_attr( sprintf( __('Comment on %s'), $title ) ) . '">';
  	comments_number( $zero, $one, $more );
***************
*** 1018,1042 ****
  /**
   * Retrieve HTML content for reply to comment link.
   *
-  * The default arguments that can be override are 'add_below', 'respond_id',
-  * 'reply_text', 'login_text', and 'depth'. The 'login_text' argument will be
-  * used, if the user must log in or register first before posting a comment. The
-  * 'reply_text' will be used, if they can post a reply. The 'add_below' and
-  * 'respond_id' arguments are for the JavaScript moveAddCommentForm() function
-  * parameters.
-  *
   * @since 2.7.0
   *
!  * @param array $args Optional. Override default options.
!  * @param int $comment Optional. Comment being replied to.
!  * @param int $post Optional. Post that the comment is going to be displayed on.
!  * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function get_comment_reply_link($args = array(), $comment = null, $post = null) {
- 	global $user_ID;
  
! 	$defaults = array('add_below' => 'comment', 'respond_id' => 'respond', 'reply_text' => __('Reply'),
! 		'login_text' => __('Log in to Reply'), 'depth' => 0, 'before' => '', 'after' => '');
  
  	$args = wp_parse_args($args, $defaults);
  
--- 1205,1243 ----
  /**
   * Retrieve HTML content for reply to comment link.
   *
   * @since 2.7.0
   *
!  * @param array $args {
!  *     Optional. Override default arguments.
!  *
!  *     @type string 'add_below'  The first part of the selector used to identify the comment to respond below. The resulting
!  *                               value is passed as the first parameter to addComment.moveForm(), concatenated
!  *                               as $add_below-$comment->comment_ID. Default 'comment'.
!  *     @type string 'respond_id' The selector identifying the responding comment. Passed as the third parameter to addComment.moveForm(),
!  *                               and appended to the link URL as a hash value. Default 'respond'.
!  *     @type string 'reply_text' The text of the Reply link. Default 'Reply'.
!  *     @type string 'login_text' The text of the link to reply if logged out. Default 'Log in to Reply'.
!  *     @type int    'depth'      The depth of the new comment. Must be greater than 0 and less than the value of the 'thread_comments_depth'
!  *                               option set in Settings > Discussion.
!  *                               Default 0.
!  *     @type string 'before'     The text or HTML to add before the reply link. Default empty.
!  *     @type string 'after'      The text or HTML to add after the reply link. Default empty.
!  * }
!  * @param int         $comment Optional. Comment being replied to. Default current comment.
!  * @param int|WP_Post $post    Optional. Post ID or WP_Post object the comment is going to be displayed on. Default current post.
!  * @return mixed Link to show comment form, if successful. False, if comments are closed.
   */
  function get_comment_reply_link($args = array(), $comment = null, $post = null) {
  
! 	$defaults = array(
! 		'add_below'  => 'comment',
! 		'respond_id' => 'respond',
! 		'reply_text' => __('Reply'),
! 		'login_text' => __('Log in to Reply'),
! 		'depth'      => 0,
! 		'before'     => '',
! 		'after'      => ''
! 	);
  
  	$args = wp_parse_args($args, $defaults);
  
***************
*** 1055,1077 ****
  
  	$link = '';
  
! 	if ( get_option('comment_registration') && !$user_ID )
  		$link = '<a rel="nofollow" class="comment-reply-login" href="' . esc_url( wp_login_url( get_permalink() ) ) . '">' . $login_text . '</a>';
  	else
  		$link = "<a class='comment-reply-link' href='" . esc_url( add_query_arg( 'replytocom', $comment->comment_ID ) ) . "#" . $respond_id . "' onclick='return addComment.moveForm(\"$add_below-$comment->comment_ID\", \"$comment->comment_ID\", \"$respond_id\", \"$post->ID\")'>$reply_text</a>";
! 	return apply_filters('comment_reply_link', $before . $link . $after, $args, $comment, $post);
  }
  
  /**
   * Displays the HTML content for reply to comment link.
   *
   * @since 2.7.0
-  * @see get_comment_reply_link() Echoes result
   *
!  * @param array $args Optional. Override default options.
!  * @param int $comment Optional. Comment being replied to.
!  * @param int $post Optional. Post that the comment is going to be displayed on.
!  * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function comment_reply_link($args = array(), $comment = null, $post = null) {
  	echo get_comment_reply_link($args, $comment, $post);
--- 1256,1290 ----
  
  	$link = '';
  
! 	if ( get_option('comment_registration') && ! is_user_logged_in() )
  		$link = '<a rel="nofollow" class="comment-reply-login" href="' . esc_url( wp_login_url( get_permalink() ) ) . '">' . $login_text . '</a>';
  	else
  		$link = "<a class='comment-reply-link' href='" . esc_url( add_query_arg( 'replytocom', $comment->comment_ID ) ) . "#" . $respond_id . "' onclick='return addComment.moveForm(\"$add_below-$comment->comment_ID\", \"$comment->comment_ID\", \"$respond_id\", \"$post->ID\")'>$reply_text</a>";
! 
! 	/**
! 	 * Filter the comment reply link.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param string  $before  Text or HTML displayed before the reply link.
! 	 * @param string  $link    The HTML markup for the comment reply link.
! 	 * @param string  $after   Text or HTML displayed after the reply link.
! 	 * @param array   $args    An array of arguments overriding the defaults.
! 	 * @param object  $comment The object of the comment being replied.
! 	 * @param WP_Post $post    The WP_Post object.
! 	 */
! 	return apply_filters( 'comment_reply_link', $before . $link . $after, $args, $comment, $post );
  }
  
  /**
   * Displays the HTML content for reply to comment link.
   *
   * @since 2.7.0
   *
!  * @param array       $args    Optional. Override default options, @see get_comment_reply_link()
!  * @param int         $comment Optional. Comment being replied to. Default current comment.
!  * @param int|WP_Post $post    Optional. Post ID or WP_Post object the comment is going to be displayed on. Default current post.
!  * @return mixed Link to show comment form, if successful. False, if comments are closed.
   */
  function comment_reply_link($args = array(), $comment = null, $post = null) {
  	echo get_comment_reply_link($args, $comment, $post);
***************
*** 1080,1103 ****
  /**
   * Retrieve HTML content for reply to post link.
   *
-  * The default arguments that can be override are 'add_below', 'respond_id',
-  * 'reply_text', 'login_text', and 'depth'. The 'login_text' argument will be
-  * used, if the user must log in or register first before posting a comment. The
-  * 'reply_text' will be used, if they can post a reply. The 'add_below' and
-  * 'respond_id' arguments are for the JavaScript moveAddCommentForm() function
-  * parameters.
-  *
   * @since 2.7.0
   *
!  * @param array $args Optional. Override default options.
!  * @param int|object $post Optional. Post that the comment is going to be displayed on. Defaults to current post.
   * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function get_post_reply_link($args = array(), $post = null) {
! 	global $user_ID;
! 
! 	$defaults = array('add_below' => 'post', 'respond_id' => 'respond', 'reply_text' => __('Leave a Comment'),
! 		'login_text' => __('Log in to leave a Comment'), 'before' => '', 'after' => '');
  
  	$args = wp_parse_args($args, $defaults);
  	extract($args, EXTR_SKIP);
--- 1293,1325 ----
  /**
   * Retrieve HTML content for reply to post link.
   *
   * @since 2.7.0
   *
!  * @param array $args {
!  *     Optional. Override default arguments.
!  *
!  *     @type string 'add_below'  The first part of the selector used to identify the comment to respond below.
!  *                               The resulting value is passed as the first parameter to addComment.moveForm(),
!  *                               concatenated as $add_below-$comment->comment_ID. Default is 'post'.
!  *     @type string 'respond_id' The selector identifying the responding comment. Passed as the third parameter
!  *                               to addComment.moveForm(), and appended to the link URL as a hash value. Default is 'respond'.
!  *     @type string 'reply_text' The text of the Reply link. Default is 'Leave a Comment'.
!  *     @type string 'login_text' The text of the link to reply if logged out. Default is 'Log in to leave a Comment'.
!  *     @type string 'before'     The text or HTML to add before the reply link. Default empty.
!  *     @type string 'after'      The text or HTML to add after the reply link. Default empty.
!  * }
!  * @param int|WP_Post $post    Optional. Post ID or WP_Post object the comment is going to be displayed on. Default current post.
   * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function get_post_reply_link($args = array(), $post = null) {
! 	$defaults = array(
! 		'add_below'  => 'post',
! 		'respond_id' => 'respond',
! 		'reply_text' => __('Leave a Comment'),
! 		'login_text' => __('Log in to leave a Comment'),
! 		'before'     => '',
! 		'after'      => '',
! 	);
  
  	$args = wp_parse_args($args, $defaults);
  	extract($args, EXTR_SKIP);
